BootstrapMethod (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.classfile

## Class BootstrapMethod

- java.lang.Object
- - org.apache.bcel.classfile.BootstrapMethod

- All Implemented Interfaces:
    Cloneable

      public class BootstrapMethod
      extends Object
      implements Cloneable

  This class represents a bootstrap method attribute, i.e., the bootstrap method ref, the number of bootstrap arguments and an array of the bootstrap arguments.
  Since:
    6.0
  See Also:
    The class File Format : The BootstrapMethods Attribute

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootstrapMethod(BootstrapMethod c)` Initialize from another object.
    `BootstrapMethod(int bootstrapMethodRef, int[] bootstrapArguments)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BootstrapMethod` | `copy()`
    `void` | `dump(DataOutputStream file)` Dump object to file stream in binary format.
    `int[]` | `getBootstrapArguments()`
    `int` | `getBootstrapMethodRef()`
    `int` | `getNumBootstrapArguments()`
    `void` | `setBootstrapArguments(int[] bootstrapArguments)`
    `void` | `setBootstrapMethodRef(int bootstrapMethodRef)`
    `String` | `toString()`
    `String` | `toString(ConstantPool constantPool)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BootstrapMethod

          public BootstrapMethod(BootstrapMethod c)

      Initialize from another object.

    - #### BootstrapMethod

          public BootstrapMethod(int bootstrapMethodRef,
                                 int[] bootstrapArguments)

      Parameters:
        `bootstrapMethodRef` - int index into constant_pool of CONSTANT_MethodHandle
        `bootstrapArguments` - int[] indices into constant_pool of CONSTANT_[type]_info

  - ### Method Detail

    - #### copy

          public BootstrapMethod copy()

      Returns:
        deep copy of this object

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Dump object to file stream in binary format.
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException` - if an I/O error occurs.

    - #### getBootstrapArguments

          public int[] getBootstrapArguments()

      Returns:
        int[] of bootstrap_method indices into constant_pool of CONSTANT_[type]_info

    - #### getBootstrapMethodRef

          public int getBootstrapMethodRef()

      Returns:
        index into constant_pool of bootstrap_method

    - #### getNumBootstrapArguments

          public int getNumBootstrapArguments()

      Returns:
        count of number of boostrap arguments

    - #### setBootstrapArguments

          public void setBootstrapArguments(int[] bootstrapArguments)

      Parameters:
        `bootstrapArguments` - int[] indices into constant_pool of CONSTANT_[type]_info

    - #### setBootstrapMethodRef

          public void setBootstrapMethodRef(int bootstrapMethodRef)

      Parameters:
        `bootstrapMethodRef` - int index into constant_pool of CONSTANT_MethodHandle

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation.

    - #### toString

          public final String toString(ConstantPool constantPool)

      Returns:
        Resolved string representation

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.